//
//  Timer.h
//  PHET
//
//  Created by Ian Hooper on 8/08/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include <mach/mach_time.h>
#include <CoreServices/CoreServices.h>


@interface Timer : NSObject
{
	bool m_isRunning;
    double m_offsetTime;

	uint64_t m_startTime;
    uint64_t m_endTime;
}

- (void)reset;

- (double)getElapsedSeconds;

- (void)addOffset:(double)seconds;

@end
