//
//  Timer.m
//  PHET
//
//  Created by Ian Hooper on 8/08/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "Timer.h"


@implementation Timer

- (void)reset
{
	m_isRunning = true;
	m_startTime = mach_absolute_time();
	m_offsetTime = 0;
}

- (double)getElapsedSeconds
{
	m_endTime = mach_absolute_time();
    
    uint64_t span = m_endTime - m_startTime;
    AbsoluteTime* test = (AbsoluteTime*)&span;
    Nanoseconds nanos = AbsoluteToNanoseconds(*test);
    double blah = (double)nanos.lo + (double)nanos.hi*powf(2, 32);
    return blah/1e9 + m_offsetTime;
}

- (void)addOffset:(double)seconds
{
	m_offsetTime += seconds;
}

@end